## NAME

s.perturb - Random location perturbations of GRASS sites.
(GRASS Sites Program)

## SYNOPSIS

s.perturb
s.perturb help
s.perturb [-q] input=name output=name distribution=[uniform|normal] parameters=value,[value]

## DESCRIPTION

s.perturb reads a site list and writes the same list but perturbs the eastings and northings by adding either a uniform or normal delta value. Perturbation means that a variating spatial deviation is added to the coordinates.

## OPTIONS

### Flags:

-q
  Quiet. Cut out the chatter.

### Parameters:

input=name
  Name of an existing sites file.
output=name
  Name of output sites file.
distribution=[uniform|normal]
  Distribution of perturbation.
parameters=value[,value]
  Parameter(s) of distribution. If the distribution is uniform, only one parameter, the maximum, is needed. For a normal distribution, two parameters, the mean and standard deviation, are required.

## NOTES

The uniform distribution is always centered about zero. The associated parameter is constrained to be positive and specifies the maximum of the distribution; the minimum is the negation of that parameter.

Usually, the mean (first parameter) of the normal distribution is zero (i.e., the distribution is centered at zero). The standard deviation (second parameter) is naturally constrained to be positive.

Output sites are not guaranteed to be contained within the current geographic region.

## SEE ALSO

g.region
s.random
s.univar
s.kcv

## BUGS

Please send all bug fixes and comments to the author or the GRASS development team.

## AUTHOR

James Darrell McCauley <darrell@mccauley-usa.com>,
when he was at: Agricultural Engineering Purdue University

Random number generators originally written in FORTRAN by Wes Peterson and translated to C using f2c

Last changed: $Date: 2002/01/25 05:45:35 $